import pytest

from mininet.models.models import Address


@pytest.mark.address
def test_address_loopback(loopback):
    address = Address(**loopback)
    assert address.format() == f"{address.protocol}://{address.interface}:{address.port}"
